Skip to main content
Scheduler Maintenance

Get scheduler maintenance events

Get scheduler maintenance events.

GET
/gb/scheduler-maintenance

This method requires the SchedulerMaintenance:Get permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
descriptionstringquery

Optional Description

This field supports the wildcard % operator.

Maximum string length: 255
startstringquery

Optional Start Date and Time. Show all events starting from the specified date time.

If not supplied, the start date/time will default to now.

The date-time notation is as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

endstringquery

Optional End Date and Time. Exclude events after the specified date time.

The date-time notation is as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

exclude_acknowledged_flagenum<string>query

If set to 'yes', scheduler maintenance events already acknowledged by the user will be excluded.

Available options: yes, no
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$
Time-Zonestringheaderdefault:UTC

Scheduler Maintenance events will be shown in the specified timezone.

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1